<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Language;

class LanguagesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $languages = [
            
            ['id' => 1, 'language' => 'Afrikaans (South Africa)', 'language_code' => 'af-ZA', 'language_flag' => '/img/flags/za.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 2, 'language' => 'Arabic (Gulf)', 'language_code' => 'ar-AE', 'language_flag' => '/img/flags/ae.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 3, 'language' => 'Arabic (Saudi Arabia)', 'language_code' => 'ar-SA', 'language_flag' => '/img/flags/sa.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 4, 'language' => 'Chinese (Simplified)', 'language_code' => 'zh-CN', 'language_flag' => '/img/flags/cn.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 5, 'language' => 'Chinese (Traditional)', 'language_code' => 'zh-TW', 'language_flag' => '/img/flags/cn.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 6, 'language' => 'Danish (Denmark)', 'language_code' => 'da-DK', 'language_flag' => '/img/flags/dk.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 7, 'language' => 'Dutch (Netherlands)', 'language_code' => 'nl-NL', 'language_flag' => '/img/flags/nl.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 8, 'language' => 'English (Australia)', 'language_code' => 'en-AU', 'language_flag' => '/img/flags/au.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 9, 'language' => 'English (India)', 'language_code' => 'en-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 10, 'language' => 'English (Ireland)', 'language_code' => 'en-IE', 'language_flag' => '/img/flags/ie.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 11, 'language' => 'English (New Zealand)', 'language_code' => 'en-NZ', 'language_flag' => '/img/flags/nz.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 12, 'language' => 'English (Scottish)', 'language_code' => 'en-AB', 'language_flag' => '/img/flags/gb.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 13, 'language' => 'English (South Africa)', 'language_code' => 'en-ZA', 'language_flag' => '/img/flags/za.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 14, 'language' => 'English (UK)', 'language_code' => 'en-GB', 'language_flag' => '/img/flags/gb.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 15, 'language' => 'English (USA)', 'language_code' => 'en-US', 'language_flag' => '/img/flags/us.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 16, 'language' => 'English (Wales)', 'language_code' => 'en-WL', 'language_flag' => '/img/flags/gb-wls.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 17, 'language' => 'French (France)', 'language_code' => 'fr-FR', 'language_flag' => '/img/flags/fr.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 18, 'language' => 'French (Canada)', 'language_code' => 'fr-CA', 'language_flag' => '/img/flags/ca.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 19, 'language' => 'Farsi (Switzerland)', 'language_code' => 'fa-IR', 'language_flag' => '/img/flags/ir.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 20, 'language' => 'German (Germany)', 'language_code' => 'de-DE', 'language_flag' => '/img/flags/de.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 21, 'language' => 'German (Switzerland)', 'language_code' => 'de-CH', 'language_flag' => '/img/flags/ch.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 22, 'language' => 'Hebrew (Israel)', 'language_code' => 'he-IL', 'language_flag' => '/img/flags/il.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 23, 'language' => 'Hindi (India)', 'language_code' => 'hi-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'], 
            ['id' => 24, 'language' => 'Indonesian (Indonesia)', 'language_code' => 'id-ID', 'language_flag' => '/img/flags/id.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 25, 'language' => 'Italian (Italy)', 'language_code' => 'it-IT', 'language_flag' => '/img/flags/it.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 26, 'language' => 'Japanese (Japan)', 'language_code' => 'ja-JP', 'language_flag' => '/img/flags/jp.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 27, 'language' => 'Korean (South Korea)', 'language_code' => 'ko-KR', 'language_flag' => '/img/flags/kr.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 28, 'language' => 'Malay (Malaysia)', 'language_code' => 'ms-MY', 'language_flag' => '/img/flags/my.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 29, 'language' => 'Portuguese (Brazil)', 'language_code' => 'pt-BR', 'language_flag' => '/img/flags/br.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 30, 'language' => 'Portuguese (Portugal)', 'language_code' => 'pt-PT', 'language_flag' => '/img/flags/pt.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 31, 'language' => 'Russian (Russia)', 'language_code' => 'ru-RU', 'language_flag' => '/img/flags/ru.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 32, 'language' => 'Spanish (Spain)', 'language_code' => 'es-ES', 'language_flag' => '/img/flags/es.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 33, 'language' => 'Spanish (USA)', 'language_code' => 'es-US', 'language_flag' => '/img/flags/us.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'both'],
            ['id' => 34, 'language' => 'Tamil (India)', 'language_code' => 'ta-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 35, 'language' => 'Telugu (India)', 'language_code' => 'te-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 36, 'language' => 'Thai (Thailand)', 'language_code' => 'th-TH', 'language_flag' => '/img/flags/th.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 37, 'language' => 'Turkish (Turkey)', 'language_code' => 'tr-TR', 'language_flag' => '/img/flags/tr.svg', 'vendor' => 'aws', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/aws-sm.png', 'status' => 'active', 'type' => 'file'],
            


            ['id' => 38, 'language' => 'Afrikaans (South Africa)', 'language_code' => 'af-ZA', 'language_flag' => '/img/flags/za.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 39, 'language' => 'Albanian (Albania)', 'language_code' => 'sq-AL', 'language_flag' => '/img/flags/al.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 40, 'language' => 'Amharic (Ethiopia)', 'language_code' => 'am-ET', 'language_flag' => '/img/flags/et.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 41, 'language' => 'Arabic (Algeria)', 'language_code' => 'ar-DZ', 'language_flag' => '/img/flags/dz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 42, 'language' => 'Arabic (Bahrain)', 'language_code' => 'ar-BH', 'language_flag' => '/img/flags/bh.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 43, 'language' => 'Arabic (Egypt)', 'language_code' => 'ar-EG', 'language_flag' => '/img/flags/eg.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 44, 'language' => 'Arabic (Iraq)', 'language_code' => 'ar-IQ', 'language_flag' => '/img/flags/iq.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 45, 'language' => 'Arabic (Israel)', 'language_code' => 'ar-IL', 'language_flag' => '/img/flags/il.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 46, 'language' => 'Arabic (Jordan)', 'language_code' => 'ar-JO', 'language_flag' => '/img/flags/jo.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 47, 'language' => 'Arabic (Kuwait)', 'language_code' => 'ar-KW', 'language_flag' => '/img/flags/kw.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 48, 'language' => 'Arabic (Lebanon)', 'language_code' => 'ar-LB', 'language_flag' => '/img/flags/lb.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 49, 'language' => 'Arabic (Morocco)', 'language_code' => 'ar-MA', 'language_flag' => '/img/flags/ma.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 50, 'language' => 'Arabic (Oman)', 'language_code' => 'ar-OM', 'language_flag' => '/img/flags/om.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 51, 'language' => 'Arabic (Qatar)', 'language_code' => 'ar-QA', 'language_flag' => '/img/flags/qa.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 52, 'language' => 'Arabic (Saudi Arabia)', 'language_code' => 'ar-SA', 'language_flag' => '/img/flags/sa.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 53, 'language' => 'Arabic (State of Palestine)', 'language_code' => 'ar-PS', 'language_flag' => '/img/flags/ps.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 54, 'language' => 'Arabic (Tunisia)', 'language_code' => 'ar-TN', 'language_flag' => '/img/flags/tn.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 55, 'language' => 'Arabic (UAE)', 'language_code' => 'ar-AE', 'language_flag' => '/img/flags/ae.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 56, 'language' => 'Arabic (Yemen)', 'language_code' => '	ar-YE', 'language_flag' => '/img/flags/ye.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 57, 'language' => 'Armenian (Armenia)', 'language_code' => 'hy-AM', 'language_flag' => '/img/flags/am.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 58, 'language' => 'Azerbaijani (Azerbaijan)', 'language_code' => 'az-AZ', 'language_flag' => '/img/flags/az.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 59, 'language' => 'Basque (Spain)', 'language_code' => 'eu-ES', 'language_flag' => '/img/flags/es.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 60, 'language' => 'Bengali (Bangladesh)', 'language_code' => 'bn-BD', 'language_flag' => '/img/flags/bd.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 61, 'language' => 'Bengali (India)', 'language_code' => 'bn-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 62, 'language' => 'Bosnian (Bosnia and Herzegovina)', 'language_code' => 'bs-BA', 'language_flag' => '/img/flags/ba.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 63, 'language' => 'Bulgarian (Bulgaria)', 'language_code' => 'bg-BG', 'language_flag' => '/img/flags/bg.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 64, 'language' => 'Burmese (Myanmar)', 'language_code' => 'my-MM', 'language_flag' => '/img/flags/mm.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 65, 'language' => 'Catalan (Spain)', 'language_code' => 'ca-ES', 'language_flag' => '/img/flags/es.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 66, 'language' => 'Cantonese (Hong Kong)', 'language_code' => 'yue-Hant-HK', 'language_flag' => '/img/flags/hk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 67, 'language' => 'Chinese Mandarin (China)', 'language_code' => 'cmn-Hans-CN', 'language_flag' => '/img/flags/cn.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 68, 'language' => 'Chinese Mandarin (Taiwan)', 'language_code' => 'cmn-Hant-TW', 'language_flag' => '/img/flags/tw.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 69, 'language' => 'Croatian (Croatia)', 'language_code' => 'hr-HR', 'language_flag' => '/img/flags/hr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 70, 'language' => 'Czech (Czech Republic)', 'language_code' => 'cs-CZ', 'language_flag' => '/img/flags/cz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 71, 'language' => 'Danish (Denmark)', 'language_code' => 'da-DK', 'language_flag' => '/img/flags/dk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 72, 'language' => 'Dutch (Belgium)', 'language_code' => 'nl-BE', 'language_flag' => '/img/flags/be.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 73, 'language' => 'Dutch (Netherlands)', 'language_code' => 'nl-NL', 'language_flag' => '/img/flags/nl.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 74, 'language' => 'English (Australia)', 'language_code' => 'en-AU', 'language_flag' => '/img/flags/au.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 75, 'language' => 'English (Canada)', 'language_code' => 'en-CA', 'language_flag' => '/img/flags/ca.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 76, 'language' => 'English (Ghana)', 'language_code' => 'en-GH', 'language_flag' => '/img/flags/gh.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 77, 'language' => 'English (Hong Kong)', 'language_code' => 'en-HK', 'language_flag' => '/img/flags/hk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 78, 'language' => 'English (India)', 'language_code' => 'en-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 79, 'language' => 'English (Ireland)', 'language_code' => 'en-IE', 'language_flag' => '/img/flags/ie.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 80, 'language' => 'English (Kenya)', 'language_code' => 'en-KE', 'language_flag' => '/img/flags/ke.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 81, 'language' => 'English (New Zealand)', 'language_code' => 'en-NZ', 'language_flag' => '/img/flags/nz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 82, 'language' => 'English (Nigeria)', 'language_code' => 'en-NG', 'language_flag' => '/img/flags/ng.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 83, 'language' => 'English (Pakistan)', 'language_code' => 'en-PK', 'language_flag' => '/img/flags/pk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 84, 'language' => 'English (Philippines)', 'language_code' => 'en-PH', 'language_flag' => '/img/flags/ph.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 85, 'language' => 'English (Singapore)', 'language_code' => 'en-SG', 'language_flag' => '/img/flags/sg.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 86, 'language' => 'English (South Africa)', 'language_code' => 'en-ZA', 'language_flag' => '/img/flags/za.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 87, 'language' => 'English (Tanzania)', 'language_code' => 'en-TZ', 'language_flag' => '/img/flags/tz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 88, 'language' => 'English (United Kingdom)', 'language_code' => 'en-GB', 'language_flag' => '/img/flags/gb.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 89, 'language' => 'English (United States)', 'language_code' => 'en-US', 'language_flag' => '/img/flags/us.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 90, 'language' => 'Estonian (Estonia)', 'language_code' => 'et-EE', 'language_flag' => '/img/flags/ee.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 91, 'language' => 'Filipino (Philippines)', 'language_code' => 'fil-PH', 'language_flag' => '/img/flags/ph.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 92, 'language' => 'Finnish (Finland)', 'language_code' => 'fi-FI', 'language_flag' => '/img/flags/fi.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 93, 'language' => 'French (Belgium)', 'language_code' => 'fr-BE', 'language_flag' => '/img/flags/be.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 94, 'language' => 'French (Canada)', 'language_code' => 'fr-CA', 'language_flag' => '/img/flags/ca.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 95, 'language' => 'French (France)', 'language_code' => 'fr-FR', 'language_flag' => '/img/flags/fr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 96, 'language' => 'French (Switzerland)', 'language_code' => 'fr-CH', 'language_flag' => '/img/flags/ch.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 97, 'language' => 'Galician (Spain)', 'language_code' => 'gl-ES', 'language_flag' => '/img/flags/es.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 98, 'language' => 'Georgian (Georgia)', 'language_code' => 'ka-GE', 'language_flag' => '/img/flags/ge.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 99, 'language' => 'German (Austria)', 'language_code' => 'de-AT', 'language_flag' => '/img/flags/at.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 100, 'language' => 'German (Germany)', 'language_code' => 'de-DE', 'language_flag' => '/img/flags/de.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 101, 'language' => 'German (Switzerland)', 'language_code' => 'de-CH', 'language_flag' => '/img/flags/ch.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 102, 'language' => 'Greek (Greece)', 'language_code' => 'el-GR', 'language_flag' => '/img/flags/gr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 103, 'language' => 'Gujarati (India)', 'language_code' => 'gu-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 104, 'language' => 'Hebrew (Israel)', 'language_code' => 'iw-IL', 'language_flag' => '/img/flags/il.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 105, 'language' => 'Hindi (India)', 'language_code' => 'hi-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 106, 'language' => 'Hungarian (Hungary)', 'language_code' => 'hu-HU', 'language_flag' => '/img/flags/hu.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 107, 'language' => 'Icelandic (Iceland)', 'language_code' => 'is-IS', 'language_flag' => '/img/flags/is.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 108, 'language' => 'Indonesian (Indonesia)', 'language_code' => 'id-ID', 'language_flag' => '/img/flags/id.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 109, 'language' => 'Italian (Italy)', 'language_code' => 'it-IT', 'language_flag' => '/img/flags/it.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 110, 'language' => 'Italian (Switzerland)', 'language_code' => 'it-CH', 'language_flag' => '/img/flags/ch.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 111, 'language' => 'Japanese (Japan)', 'language_code' => 'ja-JP', 'language_flag' => '/img/flags/jp.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 112, 'language' => 'Javanese (Indonesia)', 'language_code' => 'jv-ID', 'language_flag' => '/img/flags/id.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 113, 'language' => 'Kannada (India)', 'language_code' => 'kn-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 114, 'language' => 'Kazakh (Kazakhstan)', 'language_code' => 'kk-KZ', 'language_flag' => '/img/flags/kz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 115, 'language' => 'Khmer (Cambodia)', 'language_code' => 'km-KH', 'language_flag' => '/img/flags/kh.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 116, 'language' => 'Korean (South Korea)', 'language_code' => 'ko-KR', 'language_flag' => '/img/flags/kr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 117, 'language' => 'Lao (Laos)', 'language_code' => 'lo-LA', 'language_flag' => '/img/flags/la.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 118, 'language' => 'Latvian (Latvia)', 'language_code' => 'lv-LV', 'language_flag' => '/img/flags/lv.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 119, 'language' => 'Lithuanian (Lithuania)', 'language_code' => 'lt-LT', 'language_flag' => '/img/flags/lt.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 120, 'language' => 'Macedonian (Macedonia)', 'language_code' => 'mk-MK', 'language_flag' => '/img/flags/mk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 121, 'language' => 'Malay (Malaysia)', 'language_code' => 'ms-MY', 'language_flag' => '/img/flags/my.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 122, 'language' => 'Malayalam (India)', 'language_code' => 'ml-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 123, 'language' => 'Marathi (India)', 'language_code' => 'mr-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 124, 'language' => 'Mongolian (Mongolia)', 'language_code' => 'mn-MN', 'language_flag' => '/img/flags/mn.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 125, 'language' => 'Nepali (Nepal)', 'language_code' => 'ne-NP', 'language_flag' => '/img/flags/np.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 126, 'language' => 'Norwegian (Norway)', 'language_code' => 'no-NO', 'language_flag' => '/img/flags/no.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 127, 'language' => 'Persian (Iran)', 'language_code' => 'fa-IR', 'language_flag' => '/img/flags/ir.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 128, 'language' => 'Polish (Poland)', 'language_code' => 'pl-PL', 'language_flag' => '/img/flags/pl.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 129, 'language' => 'Portuguese (Brazil)', 'language_code' => 'pt-BR', 'language_flag' => '/img/flags/br.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 130, 'language' => 'Portuguese (Portugal)', 'language_code' => 'pt-PT', 'language_flag' => '/img/flags/pt.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 131, 'language' => 'Punjabi (India)', 'language_code' => 'pa-Guru-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 132, 'language' => 'Romanian (Romania)', 'language_code' => 'ro-RO', 'language_flag' => '/img/flags/ro.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 133, 'language' => 'Russian (Russia)', 'language_code' => 'ru-RU', 'language_flag' => '/img/flags/ru.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 134, 'language' => 'Serbian (Serbia)', 'language_code' => 'sr-RS', 'language_flag' => '/img/flags/rs.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 135, 'language' => 'Sinhala (Sri Lanka)', 'language_code' => 'si-LK', 'language_flag' => '/img/flags/lk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 136, 'language' => 'Slovak (Slovakia)', 'language_code' => 'sk-SK', 'language_flag' => '/img/flags/sk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 137, 'language' => 'Slovenian (Slovenia)', 'language_code' => 'sl-SI', 'language_flag' => '/img/flags/si.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 138, 'language' => 'Spanish (Argentina)', 'language_code' => 'es-AR', 'language_flag' => '/img/flags/ar.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 139, 'language' => 'Spanish (Bolivia)', 'language_code' => 'es-BO', 'language_flag' => '/img/flags/bo.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 140, 'language' => 'Spanish (Chile)', 'language_code' => 'es-CL', 'language_flag' => '/img/flags/cl.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 141, 'language' => 'Spanish (Colombia)', 'language_code' => 'es-CO', 'language_flag' => '/img/flags/co.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 142, 'language' => 'Spanish (Costa Rica)', 'language_code' => 'es-CR', 'language_flag' => '/img/flags/cr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 143, 'language' => 'Spanish (Dominican Republic)', 'language_code' => 'es-DO', 'language_flag' => '/img/flags/do.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 144, 'language' => 'Spanish (Ecuador)', 'language_code' => 'es-EC', 'language_flag' => '/img/flags/ec.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 145, 'language' => 'Spanish (El Salvador)', 'language_code' => 'es-SV', 'language_flag' => '/img/flags/sv.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 146, 'language' => 'Spanish (Guatemala)', 'language_code' => 'es-GT', 'language_flag' => '/img/flags/gt.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 147, 'language' => 'Spanish (Honduras)', 'language_code' => 'es-HN', 'language_flag' => '/img/flags/hn.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 148, 'language' => 'Spanish (Mexico)', 'language_code' => 'es-MX', 'language_flag' => '/img/flags/mx.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 149, 'language' => 'Spanish (Nicaragua)', 'language_code' => 'es-NI', 'language_flag' => '/img/flags/ni.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 150, 'language' => 'Spanish (Panama)', 'language_code' => 'es-PA', 'language_flag' => '/img/flags/pa.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 151, 'language' => 'Spanish (Paraguay)', 'language_code' => 'es-PY', 'language_flag' => '/img/flags/py.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 152, 'language' => 'Spanish (Peru)', 'language_code' => 'es-PE', 'language_flag' => '/img/flags/pe.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 153, 'language' => 'Spanish (Puerto Rico)', 'language_code' => 'es-PR', 'language_flag' => '/img/flags/pr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 154, 'language' => 'Spanish (Spain)', 'language_code' => 'es-ES', 'language_flag' => '/img/flags/es.svg', 'vendor' => 'gcp', 'speaker_identity' => 'yes', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 155, 'language' => 'Spanish (United States)', 'language_code' => 'es-US', 'language_flag' => '/img/flags/us.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 156, 'language' => 'Spanish (Uruguay)', 'language_code' => 'es-UY', 'language_flag' => '/img/flags/uy.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 157, 'language' => 'Spanish (Venezuela)', 'language_code' => 'es-VE', 'language_flag' => '/img/flags/ve.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 158, 'language' => 'Sundanese (Indonesia)', 'language_code' => 'su-ID', 'language_flag' => '/img/flags/id.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 159, 'language' => 'Swahili (Kenya)', 'language_code' => 'sw-KE', 'language_flag' => '/img/flags/ke.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 160, 'language' => 'Swahili (Tanzania)', 'language_code' => 'sw-TZ', 'language_flag' => '/img/flags/tz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 161, 'language' => 'Swedish (Sweden)', 'language_code' => 'sv-SE', 'language_flag' => '/img/flags/se.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 162, 'language' => 'Tamil (India)', 'language_code' => 'ta-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 163, 'language' => 'Tamil (Malaysia)', 'language_code' => 'ta-MY', 'language_flag' => '/img/flags/my.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 164, 'language' => 'Tamil (Singapore)', 'language_code' => 'ta-SG', 'language_flag' => '/img/flags/sg.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 165, 'language' => 'Tamil (Sri Lanka)', 'language_code' => 'ta-LK', 'language_flag' => '/img/flags/lk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 166, 'language' => 'Telugu (India)', 'language_code' => '	te-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 167, 'language' => 'Thai (Thailand)', 'language_code' => 'th-TH', 'language_flag' => '/img/flags/th.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 168, 'language' => 'Turkish (Turkey)', 'language_code' => 'tr-TR', 'language_flag' => '/img/flags/tr.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 169, 'language' => 'Ukrainian (Ukraine)', 'language_code' => 'uk-UA', 'language_flag' => '/img/flags/ua.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 170, 'language' => 'Urdu (India)', 'language_code' => 'ur-IN', 'language_flag' => '/img/flags/in.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 171, 'language' => 'Urdu (Pakistan)', 'language_code' => 'ur-PK', 'language_flag' => '/img/flags/pk.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 172, 'language' => 'Uzbek (Uzbekistan)', 'language_code' => 'uz-UZ', 'language_flag' => '/img/flags/uz.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 173, 'language' => 'Vietnamese (Vietnam)', 'language_code' => 'vi-VN', 'language_flag' => '/img/flags/vn.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            ['id' => 174, 'language' => 'Zulu (South Africa)', 'language_code' => 'zu-ZA', 'language_flag' => '/img/flags/za.svg', 'vendor' => 'gcp', 'speaker_identity' => 'no', 'vendor_img' => '/img/csp/gcp-sm.png', 'status' => 'active', 'type' => 'file'],
            
        ];


        foreach ($languages as $language) {
            Language::updateOrCreate(['id' => $language['id']], $language);
        }
    }
}
